[SOLVED] Can't upgrade any more

Kernels & Hardware, configuring network, installing services

[SOLVED] Can't upgrade any more

Postby xlepws » 2020-03-25 15:30

Hi, I haven't been able to run the upgrade commands since this morning

Code: Select all
root@debian02:/home/manu# apt full-upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 libc6-dev : Dipende: libc6 (= 2.30-3) ma la versione 2.30-2 è installata
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
Code: Select all
root@debian02:/home/manu# apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libc6
Pacchetti suggeriti:
  glibc-doc
I seguenti pacchetti saranno aggiornati:
  libc6
1 aggiornati, 0 installati, 0 da rimuovere e 38 non aggiornati.
13 non completamente installati o rimossi.
È necessario scaricare 0 B/2.819 kB di archivi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Continuare? [S/n] S
Code: Select all
Lettura dei changelog... Fatto
Preconfigurazione dei pacchetti in corso
(Lettura del database... 354316 file e directory attualmente installati.)
Preparativi per estrarre .../libc6_2.30-3_amd64.deb...

A copy of the C library was found in an unexpected directory:
  '/usr/lib/x86_64-linux-gnu/ld-2.30.so'
It is not safe to upgrade the C library in this situation;
please remove that copy of the C library or get it out of
'/usr/lib/x86_64-linux-gnu' and try again.

dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libc6_2.30-3_amd64.deb (--unpack):
 il sottoprocesso nuovo pacchetto libc6:amd64 script pre-installation ha restituito lo stato di errore 1
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libc6_2.30-3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@debian02:/home/manu#


How can I fix this?
Thanks!
Last edited by xlepws on 2020-03-26 08:08, edited 1 time in total.
xlepws
 
Posts: 21
Joined: 2020-03-16 14:09

Re: can't upgrade any more

Postby 4D696B65 » 2020-03-25 15:37

you are running sid, you should know better. wait a day or two then try again or read the error and fix it.
User avatar
4D696B65
 
Posts: 2451
Joined: 2009-06-28 06:09

Re: can't upgrade any more

Postby xlepws » 2020-03-25 15:51

4D696B65 wrote:you are running sid, you should know better. wait a day or two then try again or read the error and fix it.
eheh I knew the "wait a day or two" thing :D
I have no issue here in saying I am not much more than a noob..and yet yes, I'm running sid 8)

I will try to fix the error. Meanwhile, if any of you wants to be of help, I'd be so grateful. Cheers man.
xlepws
 
Posts: 21
Joined: 2020-03-16 14:09

Re: can't upgrade any more

Postby xlepws » 2020-03-25 16:14

ok, this is a bug: https://www.mail-archive.com/debian-bug ... 34507.html

now, tried the quick & dirty solution posted there but it didn't work. I'm definitely not able to understand those commands (egrep apart.. |tee? | sed? is this the command
Code: Select all
egrep '/(ld|lib(d|c|m|pthread|rt|dl))-2.*.so' $I/libc6:amd64.list |sed 's,^,/usr,' |tee -a $I/libc6:amd64.list /usr/lib/x86_64-linux-gnu/ld-2.30.so /usr/lib/x86_64-linux-gnu/libc-2.30.so /usr/lib/x86_64-linux-gnu/libdl-2.30.so /usr/lib/x86_64-linux-gnu/libm-2.30.so /usr/lib/x86_64-linux-gnu/libpthread-2.30.so /usr/lib/x86_64-linux-gnu/librt-2.30.so
or just
Code: Select all
egrep '/(ld|lib(d|c|m|pthread|rt|dl))-2.*.so' $I/libc6:amd64.list |sed 's,^,/usr,' |tee -a $I/libc6:amd64.list
The former will tell me
Code: Select all
tee: /usr/lib/x86_64-linux-gnu/ld-2.30.so: File di testo occupato
(text file busy); the latter doesn't produce any output.
xlepws
 
Posts: 21
Joined: 2020-03-16 14:09

Re: can't upgrade any more

Postby Head_on_a_Stick » 2020-03-25 16:55

xlepws wrote:text file busy

Code: Select all
lsof /usr/lib/x86_64-linux-gnu/ld-2.30.so
User avatar
Head_on_a_Stick
 
Posts: 11454
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: can't upgrade any more

Postby xlepws » 2020-03-25 20:17

Head_on_a_Stick wrote:
xlepws wrote:text file busy

Code: Select all
lsof /usr/lib/x86_64-linux-gnu/ld-2.30.so

Code: Select all
root@debian02:/home/manu# lsof /usr/lib/x86_64-linux-gnu/ld-2.30.so
lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1000/gvfs
      Output information may be incomplete.
COMMAND    PID       USER  FD   TYPE DEVICE SIZE/OFF   NODE NAME
systemd      1       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
systemd-j  216       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
systemd-u  242       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
haveged    478       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
accounts-  480       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
avahi-dae  482      avahi mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cron       483       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cupsd      484       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
dbus-daem  485 messagebus mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
NetworkMa  488       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
polkitd    491       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
rsyslogd   494       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
systemd-l  499       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
udisksd    500       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
wpa_suppl  506       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
avahi-dae  513      avahi mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
preload    518       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cups-brow  522       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
dbus       523         lp mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
ModemMana  531       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
unattende  563       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
freshclam  579     clamav mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1624       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1625       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
lightdm   1631       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxServi 1650       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
Xorg      1657       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
agetty    1658       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
rtkit-dae 1723      rtkit mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
lightdm   1735       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
systemd   1740       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
(sd-pam)  1741       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
pulseaudi 1759       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gnome-key 1762       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cinnamon- 1765       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
dbus-daem 1773       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1805       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1807       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1808       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1810       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1818       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
VBoxClien 1820       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
ssh-agent 1833       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
at-spi-bu 1837       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
dbus-daem 1842       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
at-spi2-r 1845       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-clipb 1855       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-scree 1856       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-a11y- 1857       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-backg 1858       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-sound 1859       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-mouse 1860       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-xrand 1861       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-power 1862       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-autom 1863       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-media 1864       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-house 1865       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-keybo 1867       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-color 1870       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-a11y- 1871       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-wacom 1872       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-curso 1874       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-print 1876       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-xsett 1877       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-orien 1881       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
dconf-ser 1890       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfsd     1914       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
upowerd   1917       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfsd-fus 1947       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfs-udis 1957       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
colord    1962     colord mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
csd-print 1971       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfs-afc- 1981       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfs-goa- 1987       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
goa-daemo 1991       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
goa-ident 2001       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfs-gpho 2003       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfs-mtp- 2012       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cinnamon- 2189       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cinnamon  2253       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
polkit-gn 2413       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
blueman-a 2415       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
kdeconnec 2417       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
evolution 2419       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cinnamon- 2420       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
agent     2423       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
nm-applet 2426       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
evolution 2508       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfsd-tra 2517       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
evolution 2528       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
evolution 2558       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cinnamon- 2577       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
blueman-t 2633       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
obexd     2652       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
gvfsd-met 2716       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
nemo-desk 2910       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
applet.py 2916       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
konsole   5746       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
bash      5753       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
su        5756       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
bash      5757       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
packageki 6059       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6095       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cat       6102       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
cat       6103       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome-sa 6105       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6106       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome-sa 6108       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
nacl_help 6109       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6111       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6131       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6135       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6162       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6184       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6190       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6215       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6258       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6270       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6283       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6300       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6312       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6325       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6392       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
chrome    6405       manu mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
lsof      6448       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
lsof      6449       root mem    REG    8,1   169720 269215 /usr/lib/x86_64-linux-gnu/ld-2.30.so
root@debian02:/home/manu#
xlepws
 
Posts: 21
Joined: 2020-03-16 14:09

Re: can't upgrade any more

Postby Head_on_a_Stick » 2020-03-25 20:48

Try it from the live environment then, perhaps?
User avatar
Head_on_a_Stick
 
Posts: 11454
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: can't upgrade any more

Postby 4D696B65 » 2020-03-25 21:14

the fix is already in the repo :D
User avatar
4D696B65
 
Posts: 2451
Joined: 2009-06-28 06:09

Re: can't upgrade any more

Postby xlepws » 2020-03-26 08:08

yay :)

Code: Select all
root@debian02:/home/manu# apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libc-dev-bin libc6 libc6-dev
Pacchetti suggeriti:
  glibc-doc
I seguenti pacchetti saranno aggiornati:
  libc-dev-bin libc6 libc6-dev
3 aggiornati, 0 installati, 0 da rimuovere e 40 non aggiornati.
13 non completamente installati o rimossi.
È necessario scaricare 5.728 kB di archivi.
Dopo quest'operazione, verranno liberati 4.096 B di spazio su disco.
Continuare? [S/n] S
Scaricamento di:1 http://ftp.it.debian.org/debian sid/main amd64 libc6-dev amd64 2.30-4 [2.629 kB]
Scaricamento di:2 http://ftp.it.debian.org/debian sid/main amd64 libc-dev-bin amd64 2.30-4 [280 kB]
Scaricamento di:3 http://ftp.it.debian.org/debian sid/main amd64 libc6 amd64 2.30-4 [2.819 kB]
Recuperati 5.728 kB in 1s (6.996 kB/s)
Lettura dei changelog... Fatto
Preconfigurazione dei pacchetti in corso
(Lettura del database... 354316 file e directory attualmente installati.)
Preparativi per estrarre .../libc6-dev_2.30-4_amd64.deb...
Estrazione di libc6-dev:amd64 (2.30-4) su (2.30-3)...
Preparativi per estrarre .../libc-dev-bin_2.30-4_amd64.deb...
Estrazione di libc-dev-bin (2.30-4) su (2.30-3)...
Preparativi per estrarre .../libc6_2.30-4_amd64.deb...
Estrazione di libc6:amd64 (2.30-4) su (2.30-2)...
Configurazione di libc6:amd64 (2.30-4)...
Configurazione di libgcc1 (1:10-20200324-1)...
Configurazione di libobjc4:amd64 (10-20200324-1)...
Configurazione di libgomp1:amd64 (10-20200324-1)...
Configurazione di libquadmath0:amd64 (10-20200324-1)...
Configurazione di libatomic1:amd64 (10-20200324-1)...
Configurazione di libgfortran5:amd64 (10-20200324-1)...
Configurazione di libubsan1:amd64 (10-20200324-1)...
Configurazione di libc-dev-bin (2.30-4)...
Configurazione di libcc1-0:amd64 (10-20200324-1)...
Configurazione di liblsan0:amd64 (10-20200324-1)...
Configurazione di libitm1:amd64 (10-20200324-1)...
Configurazione di libtsan0:amd64 (10-20200324-1)...
Configurazione di libc6-dev:amd64 (2.30-4)...
Elaborazione dei trigger per man-db (2.9.1-1)...
Elaborazione dei trigger per libc-bin (2.30-2)...
root@debian02:/home/manu#


I would have liked to be able to successfully work it around before the official fix was out..but I'll try next time :D
xlepws
 
Posts: 21
Joined: 2020-03-16 14:09

Re: [SOLVED] Can't upgrade any more

Postby stevepusser » 2020-03-27 02:28

It's been said many times before, but if you have to ask that type of question, we have to question your use of Sid.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.5, Blender 2.8.2, 5.5 kernels, Openshot 2.5.1, Telegram-desktop 1.9.19, Clipgrab 3.8.11
User avatar
stevepusser
 
Posts: 11545
Joined: 2009-10-06 05:53

Re: [SOLVED] Can't upgrade any more

Postby xlepws » 2020-03-27 07:50

stevepusser wrote:It's been said many times before, but if you have to ask that type of question, we have to question your use of Sid.
Hey Steve, your statement doesn't add any value to this thread does it. I know I "shouldn't" be running Sid since I'm no Linux expert, but I like difficult things as I said elsewhere, and I think that, while I'm learning, there might be someone who likes to help me when I'm stuck :) Cheers man.
xlepws
 
Posts: 21
Joined: 2020-03-16 14:09


Return to System configuration

Who is online

Users browsing this forum: Huecuva and 3 guests

fashionable